# 历史成交记录

**1. 接口调用：**

&#x20;`https://{host}/marketApi/history/trade`

**2. 请求参数实例**

| 参数        | 是否必须 | 说明           |
| --------- | ---- | ------------ |
| channelId | 是    | 渠道id         |
| timestamp | 是    | 毫秒时间戳（UTC+8） |
| sign      | 是    | 签名           |
| symbol    | 是    | 交易对信息        |

#### 3.请求参数示例

```
 {
     "channelId":"channel",
     "sign":"102027D292DD0707E0D899459D91C759858D7367D223CB239A8EC3A90C30B122",
     "timestamp":"1557653925555",
     "symbol":"BTC/USDT"
 }
```

4.返回结果示例

```
{
    "data":[
        {
            "amount":"0.016019",
            "direction":"buy",
            "price":"64486.20",
            "trade-id":102547488829,
            "ts":1634798182
        },
        {
            "amount":"0.000004",
            "direction":"sell",
            "price":"64479.12",
            "trade-id":102547488828,
            "ts":1634798182
        },
        {
            "amount":"0.098946",
            "direction":"buy",
            "price":"64505.74",
            "trade-id":102547488447,
            "ts":1634798098
        }
    ],
    "resCode":"800",
    "resMsg":"成功",
    "resMsgEn":""
}
```

5.返回参数说明

| 字段名称         | 是否数组 | 字段        | 数据类型   |
| ------------ | ---- | --------- | ------ |
| 数量           | 是    | amount    | String |
| 交易方向         | 是    | direction | String |
| 价格           | 是    | price     | String |
| 订单id         | 是    | trade-id  | String |
| 毫秒时间戳（UTC+8） | 是    | ts        | String |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-swft.swft.pro/ju-he-jiao-yi-api-jie-kou/li-shi-cheng-jiao-ji-lu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
